// billdeskpg/routes/billdeskRoute.js
const express = require('express');
const router = express.Router();
const controller = require('../controllers/billdeskController');
const controller2 = require('../controllers/retrieveTransactionController');
const controller3 = require('../controllers/billPaymentsController');
const controller4 = require('../controllers/bbpsEnquirePaymentController.js');
const controller5 = require("../controllers/billdeskFlightController.js");
const controller6 = require("../controllers/billdeskFlightWebController.js");
const controller7 = require("../controllers/billdeskFlightWebResponseController.js");
 

router.get('/', (req, res) => res.send('BillDesk PG module up'));
router.post('/create-order', controller.createOrder);
router.post('/enquiry-payment', controller2.retrieveTransaction);
router.post('/create-order-bbps', controller3.createOrderBbps);
router.post('/bbps-enquiry-payment', controller4.enquirePayment)
router.post("/createorder-flight", controller5.createOrder);
router.post("/createorder-flight-web", controller6.createOrder);
router.post("/flight-web-response", controller7.flightWebResponse);
// router.post('/webhook-billdesk');
// router.post('/create-order', (req, res) => res.send('Biidesk'));
module.exports = router;
